org.eclipse.january.asserts

## Class TestUtils.VerboseSuite

- java.lang.Object
- - org.junit.runner.Runner
  - - org.junit.runners.ParentRunner<org.junit.runner.Runner>
    - - org.junit.runners.Suite
      - - org.eclipse.january.asserts.TestUtils.VerboseSuite

- All Implemented Interfaces:
    org.junit.runner.Describable, org.junit.runner.manipulation.Filterable, org.junit.runner.manipulation.Sortable
  Enclosing class:
    TestUtils

      public static class TestUtils.VerboseSuite
      extends org.junit.runners.Suite

  Suite that adds a Run listener that prints when methods start and finish

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.junit.runners.Suite

      `org.junit.runners.Suite.SuiteClasses`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerboseSuite(Class<?> klass, org.junit.runners.model.RunnerBuilder builder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run(org.junit.runner.notification.RunNotifier notifier)`

    - ### Methods inherited from class org.junit.runners.Suite

      `describeChild, emptySuite, getChildren, runChild`

    - ### Methods inherited from class org.junit.runners.ParentRunner

      `childrenInvoker, classBlock, classRules, collectInitializationErrors, createTestClass, filter, getDescription, getName, getRunnerAnnotations, getTestClass, isIgnored, runLeaf, setScheduler, sort, validatePublicVoidNoArgMethods, withAfterClasses, withBeforeClasses`

    - ### Methods inherited from class org.junit.runner.Runner

      `testCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VerboseSuite

          public VerboseSuite(Class<?> klass,
                              org.junit.runners.model.RunnerBuilder builder)
                       throws org.junit.runners.model.InitializationError

      Throws:
        `org.junit.runners.model.InitializationError`

  - ### Method Detail

    - #### run

          public void run(org.junit.runner.notification.RunNotifier notifier)

      Overrides:
        `run` in class `org.junit.runners.ParentRunner<org.junit.runner.Runner>`

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.